Subject: [quicwg/base-drafts] Recovery RFCEditor Comments (#4892)

From: ianswett <[email-masked]>
Date: Thu, 06 May 2021 08:28:58 -0700

Addresses comments 2, 7, 8, 9, 11, and 12.
You can view, comment on, or merge this pull request online at:

  https://github.com/quicwg/base-drafts/pull/4892

-- Commit Summary --

  * Recovery RFCEditor Comments

-- File Changes --

    M rfc9002.md (32)

-- Patch Links --

https://github.com/quicwg/base-drafts/pull/4892.patch
https://github.com/quicwg/base-drafts/pull/4892.diff

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/4892

---

From: Martin Thomson <[email-masked]>
Date: Thu, 06 May 2021 17:02:51 -0700

@martinthomson commented on this pull request.

> @@ -82,7 +82,7 @@ informative:
     author:
       - ins: P. Karn
       - ins: C. Partridge
-    date: 1995-01
+    date: 1991-11

I put that change in with #4889.

> @@ -232,9 +232,10 @@ more accurate round-trip time estimate; see {{Section 13.2 of QUIC-TRANSPORT}}.
 
 ## Probe Timeout Replaces RTO and TLP
 
-QUIC uses a probe timeout (PTO; see {{pto}}), with a timer based on TCP's RTO
-computation; see {{?RFC6297}}.  QUIC's PTO includes the peer's maximum expected
-acknowledgment delay instead of using a fixed minimum timeout.
+QUIC uses a probe timeout (PTO; see Section 6.2), with a timer based on TCP's
+retransmission timeout (RTO) computation; see [RFC6298].  QUIC's PTO includes

```suggestion
retransmission timeout (RTO) computation; see {{?RFC6298}}.  QUIC's PTO includes
```

Might be worth it.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/4892#pullrequestreview-653982235

---

From: ianswett <[email-masked]>
Date: Fri, 07 May 2021 03:07:37 -0700

@ianswett commented on this pull request.

     author:
       - ins: P. Karn
       - ins: C. Partridge
-    date: 1995-01
+    date: 1991-11

Thanks, reverted

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/4892#discussion_r628088843

---

From: ianswett <[email-masked]>
Date: Fri, 07 May 2021 03:08:06 -0700

@ianswett pushed 1 commit.

9f4338ae06e0113ce0e9d44e5f054bb064849262  Update rfc9002.md

-- 
You are receiving this because you are subscribed to this thread.
View it on GitHub:
https://github.com/quicwg/base-drafts/pull/4892/files/d4a7839eb4c8eff63430ea424d85cf3b6cc7b495..9f4338ae06e0113ce0e9d44e5f054bb064849262

---

From: ianswett <[email-masked]>
Date: Fri, 07 May 2021 03:10:03 -0700

dadbeb539a37276aa95ca39f467194ffe1dd7d0d  Update rfc9002.md

-- 
You are receiving this because you are subscribed to this thread.
View it on GitHub:
https://github.com/quicwg/base-drafts/pull/4892/files/9f4338ae06e0113ce0e9d44e5f054bb064849262..dadbeb539a37276aa95ca39f467194ffe1dd7d0d

---

From: ianswett <[email-masked]>
Date: Fri, 07 May 2021 06:22:00 -0700

```suggestion
QUIC uses a probe timeout (PTO; see {{pto}}), with a timer based on TCP's
```

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/4892#pullrequestreview-654450515

---

From: ianswett <[email-masked]>
Date: Fri, 07 May 2021 06:22:05 -0700

71bf5eb772e95dadc3ba941d7de48c47c4986b5e  Update rfc9002.md

-- 
You are receiving this because you are subscribed to this thread.
View it on GitHub:
https://github.com/quicwg/base-drafts/pull/4892/files/dadbeb539a37276aa95ca39f467194ffe1dd7d0d..71bf5eb772e95dadc3ba941d7de48c47c4986b5e

---

From: ianswett <[email-masked]>
Date: Fri, 07 May 2021 10:40:29 -0700

6a685bc808547167b6a5dd30a0fbb4e684470f82  Update rfc9002.md

-- 
You are receiving this because you are subscribed to this thread.
View it on GitHub:
https://github.com/quicwg/base-drafts/pull/4892/files/71bf5eb772e95dadc3ba941d7de48c47c4986b5e..6a685bc808547167b6a5dd30a0fbb4e684470f82

---

From: Jana Iyengar <[email-masked]>
Date: Fri, 07 May 2021 10:48:55 -0700

@janaiyengar approved this pull request.

one tiny suggestion, but lgtm -- thanks for doing this!

> @@ -654,9 +655,9 @@ PATH_RESPONSE to set the initial RTT (see kInitialRtt in
 {{constants-of-interest}}) for a new path, but the delay SHOULD NOT be
 considered an RTT sample.
 
-Initial packets and Handshake packets could be never acknowledged, but they are
-removed from bytes in flight when the Initial and Handshake keys are discarded,
-as described below in {{discarding-packets}}. When Initial or Handshake keys are
+When the Initial keys and Handshake keys are discarded ({{discarding-packets}}),
+the Initial packets and Handshake packets can no longer be acknowledged, so

```suggestion
any Initial packets and Handshake packets can no longer be acknowledged, so
```

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/4892#pullrequestreview-654722299

---

From: ianswett <[email-masked]>
Date: Fri, 07 May 2021 10:53:14 -0700

a71fa991d0ec504c40552027e0fc74ddeff6911d  Update rfc9002.md

-- 
You are receiving this because you are subscribed to this thread.
View it on GitHub:
https://github.com/quicwg/base-drafts/pull/4892/files/6a685bc808547167b6a5dd30a0fbb4e684470f82..a71fa991d0ec504c40552027e0fc74ddeff6911d

---

From: Mike Bishop <[email-masked]>
Date: Mon, 10 May 2021 07:50:53 -0700

@MikeBishop approved this pull request.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/4892#pullrequestreview-655738057

---

From: Jana Iyengar <[email-masked]>
Date: Tue, 11 May 2021 22:09:35 +0000 (UTC)

Merged #4892 into master.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/4892#event-4731981300